Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2152948 - CVE-2022-4285 insight: binutils: NULL pointer dereference in _bfd_elf_get_symbol_version_string leads to segfault [fedora-all]
Summary: CVE-2022-4285 insight: binutils: NULL pointer dereference in _bfd_elf_get_sym...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: insight
Version: 37
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Patrick Monnerat
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-4285
TreeView+ depends on / blocked
 
Reported: 2022-12-13 15:01 UTC by Marian Rehak
Modified: 2022-12-23 01:20 UTC (History)
1 user (show)

Fixed In Version: insight-13.0.50.20220502-4.fc37 insight-13.0.50.20220502-4.fc36
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-12-23 01:19:30 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Marian Rehak 2022-12-13 15:01:42 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2150768

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Marian Rehak 2022-12-13 15:01:44 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=low

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2150768,2152948

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-12-14 19:41:46 UTC
FEDORA-2022-3efcae2a46 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-3efcae2a46

Comment 3 Fedora Update System 2022-12-14 19:41:47 UTC
FEDORA-2022-07d49bd9a8 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-07d49bd9a8

Comment 4 Fedora Update System 2022-12-15 01:21:32 UTC
FEDORA-2022-3efcae2a46 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-3efcae2a46`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-3efcae2a46

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-12-15 01:29:16 UTC
FEDORA-2022-07d49bd9a8 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-07d49bd9a8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-07d49bd9a8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-12-23 01:19:30 UTC
FEDORA-2022-3efcae2a46 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2022-12-23 01:20:31 UTC
FEDORA-2022-07d49bd9a8 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.